// Japper - JAP control via KDE control panel
// Copyright (C) 2004 Josef Spillner <spillner@kde.org>
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef JAPPER_TRAY_H
#define JAPPER_TRAY_H

#include <ksystemtray.h>

#include <qpopupmenu.h>

class JapperTray : public KSystemTray
{
	Q_OBJECT
	public:
		JapperTray(QWidget *parent = NULL, const char *name = NULL);
		~JapperTray();

		void enableJap();
		void disableJap();

		enum MenuItems
		{
			menuquit,
			menuactivate,
			menuconfigure,
			menuabout
		};

	public slots:
		void slotMenu(int id);

	private:
		void update();
		void updateInstances();
		void toggle();

		QString m_mix;
};

#endif

