// Japper - JAP control via KDE control panel
// Copyright (C) 2004 Josef Spillner <spillner@kde.org>
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

// Japper includes
#include "japper_tray.h"

// KDE includes
#include <kapplication.h>
#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

// Main function
int main(int argc, char **argv)
{
	JapperTray *jap;
	KAboutData *aboutData;

	aboutData = new KAboutData("japper",
		I18N_NOOP("Japper"),
		"0.1",
		I18N_NOOP("JAP control via KDE panel."),
		KAboutData::License_GPL,
		"Copyright (C) 2004 Josef Spillner",
		QString::null,
		"http://tudix.linux-info-tag.org",
		"spillner@kde.org");

	aboutData->addAuthor("Josef Spillner", I18N_NOOP("Author"), "spillner@kde.org");

	KCmdLineArgs::init(argc, argv, aboutData);

	KApplication a;
	jap = new JapperTray();
	a.setMainWidget(jap);
	return a.exec();
}

